libzypp 17.37.10

zypp::PoolItem::Impl Struct Reference

PoolItem implementation. More...

## Public Member Functions
| Impl ()
| Impl (ResObject::constPtr &&res_r, ResStatus &&status_r)
ResStatus & | status () const
sat::Solvable | buddy () const
void | setBuddy (const sat::Solvable &solv_r)
ResObject::constPtr | resolvable () const
ResStatus & | statusReset () const
ResStatus & | statusReinit () const
bool | isUndetermined () const
bool | isRelevant () const
bool | isSatisfied () const
bool | isBroken () const
bool | isNeeded () const
bool | isUnwanted () const

## Private Attributes
ResStatus | _status
ResObject::constPtr | _resolvable
DefaultIntegral< sat::detail::IdType, sat::detail::noId > | _buddy

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const PoolItem::Impl &obj)
| Stream output.

## Poor man's save/restore state.
Todo There may be better save/restore state strategies.
ResStatus | _savedStatus
void | saveState () const
void | restoreState () const
bool | sameState () const
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Detailed Description

PoolItem implementation.

`_buddy` handling:

- `==0` no buddy
- `>0` this uses `_buddy` status
- `<0` this status used by `-_buddy`

Definition at line 38 of file PoolItem.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::PoolItem::Impl::Impl | ( |  | ) |
| inline

Definition at line 41 of file PoolItem.cc.

## ◆ Impl() [2/2]

zypp::PoolItem::Impl::Impl | ( | ResObject::constPtr && | res_r,
|  | ResStatus && | status_r )
| inline

Definition at line 43 of file PoolItem.cc.

## Member Function Documentation

## ◆ status()

ResStatus & zypp::PoolItem::Impl::status | ( |  | ) | const
| inline

Definition at line 49 of file PoolItem.cc.

## ◆ buddy()

sat::Solvable zypp::PoolItem::Impl::buddy | ( |  | ) | const
| inline

Definition at line 52 of file PoolItem.cc.

## ◆ setBuddy()

void zypp::PoolItem::Impl::setBuddy | ( | const sat::Solvable & | solv_r | ) |
| inline

Definition at line 164 of file PoolItem.cc.

## ◆ resolvable()

ResObject::constPtr zypp::PoolItem::Impl::resolvable | ( |  | ) | const
| inline

Definition at line 63 of file PoolItem.cc.

## ◆ statusReset()

ResStatus & zypp::PoolItem::Impl::statusReset | ( |  | ) | const
| inline

Definition at line 66 of file PoolItem.cc.

## ◆ statusReinit()

ResStatus & zypp::PoolItem::Impl::statusReinit | ( |  | ) | const
| inline

Definition at line 73 of file PoolItem.cc.

## ◆ isUndetermined()

bool zypp::PoolItem::Impl::isUndetermined | ( |  | ) | const
| inline

Definition at line 81 of file PoolItem.cc.

## ◆ isRelevant()

bool zypp::PoolItem::Impl::isRelevant | ( |  | ) | const
| inline

Definition at line 86 of file PoolItem.cc.

## ◆ isSatisfied()

bool zypp::PoolItem::Impl::isSatisfied | ( |  | ) | const
| inline

Definition at line 91 of file PoolItem.cc.

## ◆ isBroken()

bool zypp::PoolItem::Impl::isBroken | ( |  | ) | const
| inline

Definition at line 96 of file PoolItem.cc.

## ◆ isNeeded()

bool zypp::PoolItem::Impl::isNeeded | ( |  | ) | const
| inline

Definition at line 101 of file PoolItem.cc.

## ◆ isUnwanted()

bool zypp::PoolItem::Impl::isUnwanted | ( |  | ) | const
| inline

Definition at line 106 of file PoolItem.cc.

## ◆ saveState()

void zypp::PoolItem::Impl::saveState | ( |  | ) | const
| inline

Definition at line 121 of file PoolItem.cc.

## ◆ restoreState()

void zypp::PoolItem::Impl::restoreState | ( |  | ) | const
| inline

Definition at line 123 of file PoolItem.cc.

## ◆ sameState()

bool zypp::PoolItem::Impl::sameState | ( |  | ) | const
| inline

Definition at line 125 of file PoolItem.cc.

## ◆ nullimpl()

shared_ptr< Impl > zypp::PoolItem::Impl::nullimpl | ( |  | ) |
| inline static

Offer default Impl.

Definition at line 145 of file PoolItem.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PoolItem::Impl & | obj )
| related

Stream output.

Definition at line 154 of file PoolItem.cc.

## Member Data Documentation

## ◆ _status

ResStatus zypp::PoolItem::Impl::_status
| mutable private

Definition at line 112 of file PoolItem.cc.

## ◆ _resolvable

ResObject::constPtr zypp::PoolItem::Impl::_resolvable
| private

Definition at line 113 of file PoolItem.cc.

## ◆ _buddy

DefaultIntegral<sat::detail::IdType,sat::detail::noId> zypp::PoolItem::Impl::_buddy
| private

Definition at line 114 of file PoolItem.cc.

## ◆ _savedStatus

ResStatus zypp::PoolItem::Impl::_savedStatus
| mutable private

Definition at line 140 of file PoolItem.cc.

The documentation for this struct was generated from the following file:

- zypp/PoolItem.cc